﻿using System.Drawing;
using Telerik.WinControls;

namespace RadBubbleBarControl.RadBubbleBar
{
    public class BubbleBarBehavior : PropertyChangeBehavior
    {
        public BubbleBarBehavior()
            : base(RadItem.IsMouseOverProperty)
        {
        }

        public override void OnPropertyChange(RadElement element, RadPropertyChangedEventArgs e)
        {
            if ((bool)e.NewValue == true)
            {
                element.ResetValue(RadElement.ScaleTransformProperty);
                AnimatedPropertySetting animatedExpand = new AnimatedPropertySetting(RadElement.ScaleTransformProperty, new SizeF(0.65f, 0.65f), new SizeF(1f, 1f), 5, 30);
                animatedExpand.ApplyValue(element);
            }
            else
            {
                AnimatedPropertySetting animatedExpand = new AnimatedPropertySetting(RadElement.ScaleTransformProperty, new SizeF(0.65f, 0.65f), 5, 30);
                animatedExpand.ApplyValue(element);
            }
        }
    }
}
