﻿using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace RadBubbleBarControl
{
    public partial class Form1 : RadForm
    {
        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < 5; i++)
            {
                RadButtonElement button = new RadButtonElement("Button" + i);
                button.CanFocus = true;
                button.Image = Properties.Resources.BubbleIcon;
                button.Padding = new System.Windows.Forms.Padding(2, 2, 2, 8);
                button.ScaleTransform = new System.Drawing.SizeF(0.65F, 0.65F);
                button.ShowBorder = false;
                button.ToolTipText = null;
                button.ButtonFillElement.Visibility = ElementVisibility.Hidden;

                this.radBubbleBar1.Items.Add(button);
            }
        }
    }
}